Package org.apache.lucene.sandbox.search

## Class DocValuesNumbersQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.sandbox.search.DocValuesNumbersQuery

- All Implemented Interfaces:
    `Accountable`

      public class DocValuesNumbersQuery
      extends Query
      implements Accountable

  Like `DocValuesTermsQuery`, but this query only runs on a long `NumericDocValuesField` or a `SortedNumericDocValuesField`, matching all documents whose value in the specified field is contained in the provided set of long values.

  NOTE: be very careful using this query: it is typically much slower than using `TermsQuery`, but in certain specialized cases may be faster.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DocValuesNumbersQuery​(String field, long[] numbers)` |
    `DocValuesNumbersQuery​(String field, Long... numbers)` |
    `DocValuesNumbersQuery​(String field, Collection<Long> numbers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Weight` | `createWeight​(IndexSearcher searcher, ScoreMode scoreMode, float boost)` |
    `boolean` | `equals​(Object other)` |
    `String` | `getField()` |
    `Set<Long>` | `getNumbers()` |
    `int` | `hashCode()` |
    `long` | `ramBytesUsed()` |
    `String` | `toString​(String defaultField)` |
    `void` | `visit​(QueryVisitor visitor)` |

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Constructor Detail

    - #### DocValuesNumbersQuery

          public DocValuesNumbersQuery​(String field,
                                       long[] numbers)

    - #### DocValuesNumbersQuery

          public DocValuesNumbersQuery​(String field,
                                       Collection<Long> numbers)

    - #### DocValuesNumbersQuery

          public DocValuesNumbersQuery​(String field,
                                       Long... numbers)

  - ### Method Detail

    - #### equals

          public boolean equals​(Object other)

      Specified by:
        `equals` in class `Query`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Query`

    - #### visit

          public void visit​(QueryVisitor visitor)

      Specified by:
        `visit` in class `Query`

    - #### getField

          public String getField()

    - #### getNumbers

          public Set<Long> getNumbers()

    - #### toString

          public String toString​(String defaultField)

      Specified by:
        `toString` in class `Query`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### createWeight

          public Weight createWeight​(IndexSearcher searcher,
                                     ScoreMode scoreMode,
                                     float boost)
                              throws IOException

      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`